<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.vacation' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                    <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                        <option value="" selected>{{'humanresources.date' | translate}}</option>
                        <option value="today">На сегодня</option>
                        <option value="week">За неделю</option>
                        <option value="month">За месяц</option>
                        <option value="year">За год</option>
                </select>
                <button (click)="newVacation(vac)" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.design' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="vacationList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">ИИН<a (click)="sortAz('login')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('firstName')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.post' | translate}}<a (click)="sortAz('serviceGroup')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.remain' | translate}}<a (click)="sortAz('period')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let item of vacationList?.items; let i = index" role="button" (click)="onDetail(item.applicationId)">
                    <td>{{i + 1}}</td>
                    <td>{{item?.user.login}}</td>
                    <td>{{getFullName(item?.user)}}</td>
                    <td>{{item?.user?.employeeDTO?.serviceGroup?.name}}</td>
                    <td>{{item?.period}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="vacationList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="vacationList?.items.length === 0"></app-empty-list>

<ng-template let-modal #vac>
     <div class="card">
        <div class="card-header">
            {{'humanresources.vacation' | translate}}
        </div>
        <div class="card-body">
            <form [formGroup]="form" (ngSubmit)="submit()">
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.individual' | translate}}</label>
                    <input class="form-control" list="browser" formControlName="userLogin">
                    <datalist id="browser">
                        <option [value]="user?.iin" *ngFor="let user of employees?.items">{{getFullName(user)}}</option>
                    </datalist>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.startDate' | translate}}</label>
                    <input type="date" class="form-control" formControlName="startDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.endDate' | translate}}</label>
                    <input type="date" class="form-control" formControlName="finishDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.amount' | translate}}</label>
                    <input type="number" class="form-control" formControlName="period">
                </div>
                <div class="row mx-auto">
                <button type="submit" class="btn btn-dark">{{'humanresources.design' | translate}}</button>
                </div>
            </form>
        </div>
     </div>
</ng-template>
